<?php

namespace Drupal\metatags_quick\Plugin\field\formatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'email_mailto' formatter.
 *
 * @FieldFormatter(
 *   id = "metatag_formatter_default",
 *   label = @Translation("Meta tag"),
 *   field_types = {
 *     "metatags_quick"
 *   }
 * )
 */
class MetatagFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode = NULL) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $value = $item->value;
      _metatags_quick_add_head([
        'type' => 'meta',
        'name' => $this->fieldDefinition->getSetting('meta_name'),
        'content' => $value,
      ]);
    }

    return $elements;
  }

}
